linvanda/wecarswoole

There is no license information available for the latest version (v1.0.23) of this package.

wecheche foundational web framework

v1.0.23 2019-09-29 11:43 UTC

README

简介

WecarSwoole 是基于 EasySwoole 开发的适用于喂车业务系统的 Web 开发框架。 EasySwoole 使用说明

开发前请务必先看完本文档,特别是注意点,以及启动、部署相关,不要乱写一通。

环境要求

  • PHP >= 7.2
  • Swoole >= 4.3.0
  • phpredis 扩展

系统设计要点

  • 可扩展性
  • 容易和第三方系统对接
  • 可测试
  • 遵循 PSR 规范
  • 组合优于继承:
    • 类继承层次不要过深,一般不要超过3层。
    • 不要在基类写太多功能,基类功能越多越笨重不灵活。
    • 优先使用多个类组合完成功能,而不是全塞到基类里面实现。

目录